Javascript ES6 support, specifically const/let

Is it possible to get Reshaper (9.0) to work properly with Javascript ES6 syntax? Unless I'm missing something, I can't see any way to tell Resharper what version of Javascript I'm targetting, and it gets very confused when I declare variables with let or const. Even if it didn't support any semantic differences and just treated them the same as var, that would be better than what it does now - listing errors everywhere and badly reformatting following code.

Thanks,

Alex

4 comments
Comment actions Permalink

Hello Alex,

  EcmaScript 6 will be supported in ReSharper 9.1

Thanks!

0
Comment actions Permalink

Is there any plan on supporting ES6 in ReSharper v8.* for Visual Studio 2013?

0
Comment actions Permalink

Hello Christopher

  We do not have plans to release new builds for ReSharper 8.x.

Thanks!

0

Please sign in to leave a comment.